---
title: Howto Urxvt
...


* Site officiel : <http://software.schmorp.de/pkg/rxvt-unicode.html>
* Documentation : <http://pod.tst.eu/http://cvs.schmorp.de/rxvt-unicode/doc/rxvt.1.pod>

Urxvt (ou Rxvt-unicode) est un émulateur de terminal, conçu pour avoir un cœur minimaliste et de très riches capacités d'extension pour s'adapter à tous les besoins sans surcharger le logiciel pour tout le monde.

## Installation

~~~
# apt install rxvt-unicode
~~~

Il existe aussi une variante "256 couleurs" avec le paquet `rxvt-unicode-256color`.

~~~
$ rxvt-unicode --help
rxvt-unicode (urxvt) v9.20 - released: 2014-04-26
[…]
~~~


## Configuration

Dans sa configuration par défaut, le terminal propose très peu de fonctionnalités.

Pour sa configuration, il utilise le fichier `~/.Xresources`.

Le système d'extension est basé sur Perl et pour en activer il faut les ajouter à `URxvt.perl-ext-common`

### Défilement

Par défaut, le buffer défile avec la sortie des commandes. Il est possible de l'interrompre lors de l'utilisation des touches PageUp/PageDown ou avec la molette de la souris.

~~~
! ne pas défiler avec la sortie
URxvt*scrollTtyOutput: false

! défilement avec le buffer (molette souris ou PageUp/PageDown)
URxvt*scrollWithBuffer: true

! revenir en bas en appuyant sur une touche
URxvt*scrollTtyKeypress: true
~~~

### Taille du texte

Avec le plugin `resize-font` il est possible de faire varier la taille du texte avec des raccourcis clavier. Ici par exemple, les touches `Ctrl -` pour diminuer, `Ctrl +` pour augmenter… :

~~~
URxvt.perl-ext-common:    resize-font

URxvt.keysym.C-minus:     resize-font:smaller
URxvt.keysym.C-plus:      resize-font:bigger
URxvt.keysym.C-equal:     resize-font:reset
URxvt.keysym.C-question:  resize-font:show
~~~