---
toc: no
title: Base de connaissances Evolix
...

[Evolix](http://evolix.com/) est une société Open Source basée à Marseille/Paris/Montréal.  
Notre métier principal est l'hébergement et l'infogérance de serveurs notamment l'**infogérance de serveurs Linux et BSD**.

Ce wiki a vocation à rassembler nos connaissances et conventions relatives à l'administration système et réseau et de les rendre libres && publiques.  
Notre ancien wiki (également public) se trouve sur <http://oldwiki.evolix.org/>

Les documentations sont rédigées pour fonctionner sous **Debian GNU/Linux version 8 (Jessie) et 9 (Stretch)** ou **OpenBSD 6.1/6.2**.

**Attention**, les informations sont livrées sans garantie et peuvent être erronées ou incomplètes.  
Pour plus d'informations, consultez notre [offre d'Infogérance de serveurs](http://evolix.com/infogerance.html)


## Infogérance Linux

[BTRFS](HowtoBTRFS)  
[DRBD](HowtoDRBD)  
[KVM](HowtoKVM)  
[LUKS](HowtoLUKS)  
[LVM](HowtoLVM)  
[RAID logiciel](HowtoRAIDLogiciel)  
[Systemd](HowtoSystemd)  
[VRRP](HowtoVRRP)  


## Infogérance BSD

[CARP](HowtoOpenBSD/CARP)  
[FlashInstall](HowtoOpenBSD/Flashinstall)  
[GestionDisques](HowtoOpenBSD/GestionDisques)  
[Netflow](HowtoOpenBSD/Netflow)  
[OpenBGPD](HowtoOpenBSD/OpenBGPD)  
[OSPF](HowtoOpenBSD/OSPF)  
[PacketFilter](HowtoOpenBSD/PacketFilter)  
[PFSYNC](HowtoOpenBSD/PFSYNC)  
[PFStat](HowtoOpenBSD/PFStat)  
[ProxyFTP](HowtoOpenBSD/ProxyFTP)  
[Reseau](HowtoOpenBSD/Reseau)  
[RAID1](HowtoOpenBSD/RAID1)  
[VLAN](HowtoOpenBSD/VLAN)  
[VRF-rtable-rdomain](HowtoOpenBSD/VRF-rtable-rdomain)  


## Infogérance services

###### A
[Amavis](HowtoAmavis)  
[Ansible](HowtoAnsible)  
[Apache](HowtoApache)  

###### B
[Bind](HowtoBind)

###### C
[Cron](HowtoCron)

###### E
[Elasticsearch](HowtoElasticsearch)  
[Suite ELK](HowtoELK)  
[Exim](HowtoExim)  
[Extfs](TipsExtfs)

###### F
[Fail2Ban](HowtoFail2Ban)

###### G
[Gerrit](HowtoGerrit)  
[Git](HowtoGit)  
[Gitit](HowtoGitit)  
[Gitolite](HowtoGitolite)  
[GitLab](HowtoGitlab/9)

###### H
[HAProxy](HowtoHaproxy)  
[Htop](HowtoHtop)

###### I
[Icinga](HowtoIcinga)  
[Iperf](HowtoIperf)

###### K
[KeePassX](HowtoKeePassX)  

###### L
[Let's Encrypt](HowtoLetsEncrypt)  
[Log2mail](HowtoLog2mail)  
[Logcheck](HowtoLogcheck)

###### M
[Mastodon](HowtoMastodon)  
[Monit](HowtoMonit)  
[MTR](HowtoMTR)  
[MySQL](HowtoMySQL)

###### N
[nfdump](Howtonfdump)  
[Nut](HowtoNut)  
[New Relic](HowtoNewRelic)

###### O
[OpenBGPD](HowtoOpenBSD/OpenBGPD)  
[OpenVPN](HowtoOpenVPN)  
[OpenSSH](HowtoOpenSSH)  
[OpenSMTPD](HowtoOpenSMTPD)  

###### P
[PHP](HowtoPHP)  
[Postfix](HowtoPostfix)  
[PostgreSQL](HowtoPostgreSQL)  
[ProFTPD](HowtoProFTPD)

###### R
[Rsyslog](HowtoRsyslog)

###### S
[Screen](HowtoScreen)  
[SSL](HowtoSSL)  
[Squid](HowtoSquid)  
[Sudo](HowtoSudo)  

###### U
[Unbound](HowtoUnbound)  

###### V
[Varnish](HowtoVarnish)  

## Best Practices

....

## Trucs & Astuces

[Checkconf](HowtoCheckconf)  
[cURL](HowtocURL)  
[Symfony](PracticeSymfony)  
[RIPE](HowtoRIPE)
